import type { EditorState } from 'prosemirror-state';
import { type Command } from 'prosemirror-commands';
import type { Dispatch } from './types';
export interface LinkAttrs {
    href: string;
    title?: string;
    target?: string;
}
declare class Link {
    update(attrs: LinkAttrs): Command;
    insert(text: string, attrs: LinkAttrs): Command;
    isActive(state: EditorState, options?: {
        strict: boolean;
    }): boolean;
    remove(state: EditorState, dispatch?: Dispatch): boolean;
    canExecute(state: EditorState): boolean;
}
export default Link;
